Skip to main content
`Ctrl`+`K`

# SlepcSNPrintfScalar

Prints a `PetscScalar` variable to a string of given length.

## Synopsis

    #include "slepcsys.h"
    PetscErrorCode SlepcSNPrintfScalar(char str[],size_t len,PetscScalar val,PetscBool exp)

Not Collective

## Input Parameters

- str - the string to print to

- len - the length of str

- val - scalar value to be printed

- exp - to be used within an expression, print leading sign and parentheses in case of nonzero imaginary part

## See Also

`PetscSNPrintf()`

## Level

developer

## Location

src/sys/slepcutil.c

## Examples

src/eps/tutorials/ex18.c

Index of all Sys routines Table of Contents for all manual pages Index of all manual pages